import { spread, mergeProps as mergeProps$1, template } from 'solid-js/web';
import Prismjs from 'prismjs';
import { mergeProps, splitProps, createMemo } from 'solid-js';

// src/index.tsx
var _tmpl$ = /* @__PURE__ */ template(`<pre><code>`);
var Highlight = (_props) => {
  const props = mergeProps({
    autoDetect: true,
    ignoreIllegals: true,
    language: ""
  }, _props);
  const [, rest] = splitProps(props, ["language", "autoDetect", "ignoreIllegals", "children", "class", "innerHTML"]);
  const className = "language-typescript";
  const getHighlightedCode = createMemo(() => {
    const childrenString = props.children?.toString();
    if (!childrenString) {
      return "";
    }
    const result = Prismjs.highlight(childrenString, Prismjs.languages["typescript"], "typescript");
    return result;
  });
  return (() => {
    var _el$ = _tmpl$(), _el$2 = _el$.firstChild;
    spread(_el$2, mergeProps$1({
      get ["class"]() {
        return `${className} ${props.class || ""}`;
      },
      get innerHTML() {
        return getHighlightedCode();
      }
    }, rest), false, false);
    return _el$;
  })();
};

export { Highlight };
