// src/index.tsx
import Prismjs from "prismjs";
import {
  createMemo,
  mergeProps,
  splitProps
} from "solid-js";
var Highlight = (_props) => {
  const props = mergeProps(
    { autoDetect: true, ignoreIllegals: true, language: "" },
    _props
  );
  const [, rest] = splitProps(props, [
    "language",
    "autoDetect",
    "ignoreIllegals",
    "children",
    "class",
    "innerHTML"
  ]);
  const className = "language-typescript";
  const getHighlightedCode = createMemo(() => {
    const childrenString = props.children?.toString();
    if (!childrenString) {
      return "";
    }
    const result = Prismjs.highlight(
      childrenString,
      Prismjs.languages["typescript"],
      "typescript"
    );
    return result;
  });
  return <pre><code
    class={`${className} ${props.class || ""}`}
    innerHTML={getHighlightedCode()}
    {...rest}
  /></pre>;
};
export {
  Highlight
};
